/*
 * [The "BSD licence"]
 * Copyright (c) 2012 Dandelion
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * 3. Neither the name of Dandelion nor the names of its contributors 
 * may be used to endorse or promote products derived from this software 
 * without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package com.github.dandelion.datatables.core.constants;

/**
 * CDN related constants.
 * 
 * @author Thibault Duchateau
 */
public class CdnConstants {

	// DataTables (Microsoft CDN)
	public static final String CDN_DATATABLES_JS = "//ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/jquery.dataTables.js";
	public static final String CDN_DATATABLES_JS_MIN = "//ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/jquery.dataTables.min.js";
	public static final String CDN_DATATABLES_CSS = "//ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/css/jquery.dataTables.css";
	
	// jQueryUI (Microsoft CDN)
	public static final String CDN_JQUERYUI_JS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/jquery-ui.js";
	public static final String CDN_JQUERYUI_JS_MIN = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/jquery-ui.min.js";
	
	// jQueryUI themes (Microsoft CND)
	public static final String CDN_JQUERYUI_THEME_BASE_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/base/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_BLACKTIE_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/black-tie/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_BLITZER_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/blitzer/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_CUPERTINO_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/cupertino/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_DARKHIVE_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/dark-hive/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_DOTLUV_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/dot-luv/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_EGGPLANT_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/eggplant/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_EXCITEBIKE_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/excite-bike/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_FLICK_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/flick/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_HOTSNEAKS_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/hot-sneaks/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_HUMANITY_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/humanity/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_LEFROG_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/le-frog/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_MINTCHOC_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/mint-choc/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_OVERCAST_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/overcast/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_PEPPERGRINDER_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/pepper-grinder/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_REDMOND_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/redmond/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_SMOOTHNESS_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/smoothness/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_SOUTHSTREET_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/south-street/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_START_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/start/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_SUNNY_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/sunny/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_SWANKYPURSE_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/swanky-purse/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_TRONTASTIC_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/trontastic/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_UIDARKNESS_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/ui-darkness/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_UILIGHTNESS_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/ui-ligthness/jquery-ui.css";
	public static final String CDN_JQUERYUI_THEME_VADER_CSS = "//ajax.aspnetcdn.com/ajax/jquery.ui/1.9.2/themes/vader/jquery-ui.css";
}